Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class SimpleTagFilter

    java.lang.Object
      rabbit.filter.HTMLFilter
          rabbit.filter.SimpleTagFilter

All Implemented Interfaces:
  HTMLFilterFactory

Direct Known Subclasses:
  BackgroundFilter, BodyFilter

    public abstract class SimpleTagFilter

extends HTMLFilter

A class that inserts some text and links at the top of a page. Useful for inserting links to unfiltered page.

Field Summary

Fields inherited from class rabbit.filter.HTMLFilter
`con, request, response`

Constructor Summary
`SimpleTagFilter()`
`SimpleTagFilter(Connection con, HTTPHeader request, HTTPHeader response)` Create a new SimpleTagFilter for the given request, response pair.

Method Summary
`void` | `filterHTML(HTMLBlock block)` Iterate over all tags and call handleTag on them.
`abstract void` | `handleTag(Tag tag, HTMLBlock block, int tokenIndex)` Handle a tag.

Methods inherited from class rabbit.filter.HTMLFilter
`newFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTagFilter

    public SimpleTagFilter()

### SimpleTagFilter

    public SimpleTagFilter(Connection con,
                           HTTPHeader request,
                           HTTPHeader response)

  Create a new SimpleTagFilter for the given request, response pair.

  Parameters:
    `con` - the Connection handling the request.
    `request` - the actual request made.
    `response` - the actual response being sent.

Method Detail

### filterHTML

    public void filterHTML(HTMLBlock block)

  Iterate over all tags and call handleTag on them.

  Specified by:
    `filterHTML` in class `HTMLFilter`
  Parameters:
    `block` - the part of the html page we are filtering.

### handleTag

    public abstract void handleTag(Tag tag,
                                   HTMLBlock block,
                                   int tokenIndex)

  Handle a tag.

  Parameters:
    `tag` - the Tag to handle.
    `block` - the current HTMLBlock
    `tokenIndex` - the index of the current Token

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD